> For the complete documentation index, see [llms.txt](https://docs.agant.io/Y83ivqmfOiUspagNyFg6/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.agant.io/Y83ivqmfOiUspagNyFg6/api-reference/models.md).

# Models

## The BankAccountResource object

```json
{"openapi":"3.1.0","info":{"title":"Agant API Docs","version":"0.0.2"},"components":{"schemas":{"BankAccountResource":{"type":"object","properties":{"id":{"type":["string","null"]},"display_name":{"type":"string"},"currency":{"type":"string"},"iban":{"type":["string","null"]},"account_number":{"type":"string"},"sort_code":{"type":"string"},"bic_swift":{"type":"string"},"reference":{"type":["string","null"]}},"required":["id","display_name","currency","iban","reference"],"title":"BankAccountResource"}}}}
```

## The BankAccountStoreRequest object

```json
{"openapi":"3.1.0","info":{"title":"Agant API Docs","version":"0.0.2"},"components":{"schemas":{"BankAccountStoreRequest":{"type":"object","properties":{"name":{"type":"string","maxLength":255},"iban":{"type":"string"}},"required":["name","iban"],"title":"BankAccountStoreRequest"}}}}
```

## The CryptoAssetResource object

```json
{"openapi":"3.1.0","info":{"title":"Agant API Docs","version":"0.0.2"},"components":{"schemas":{"CryptoAssetResource":{"type":"object","properties":{"asset":{"type":"string"},"type":{"type":"string"},"wallet":{"$ref":"#/components/schemas/WalletResource"}},"required":["asset","type","wallet"],"title":"CryptoAssetResource"},"WalletResource":{"type":"object","properties":{"id":{"type":["string","null"]},"display_name":{"type":"string"},"is_custodial":{"type":"boolean"},"network":{"type":"string"},"address":{"type":"string"}},"required":["id","display_name","is_custodial","network","address"],"title":"WalletResource"}}}}
```

## The FiatAssetResource object

```json
{"openapi":"3.1.0","info":{"title":"Agant API Docs","version":"0.0.2"},"components":{"schemas":{"FiatAssetResource":{"type":"object","properties":{"asset":{"type":"string"},"type":{"type":"string"},"bank_account":{"$ref":"#/components/schemas/BankAccountResource"}},"required":["asset","type","bank_account"],"title":"FiatAssetResource"},"BankAccountResource":{"type":"object","properties":{"id":{"type":["string","null"]},"display_name":{"type":"string"},"currency":{"type":"string"},"iban":{"type":["string","null"]},"account_number":{"type":"string"},"sort_code":{"type":"string"},"bic_swift":{"type":"string"},"reference":{"type":["string","null"]}},"required":["id","display_name","currency","iban","reference"],"title":"BankAccountResource"}}}}
```

## The NetworkResource object

```json
{"openapi":"3.1.0","info":{"title":"Agant API Docs","version":"0.0.2"},"components":{"schemas":{"NetworkResource":{"type":"object","properties":{"id":{"type":"string"}},"required":["id"],"title":"NetworkResource"}}}}
```

## The RailResource object

```json
{"openapi":"3.1.0","info":{"title":"Agant API Docs","version":"0.0.2"},"components":{"schemas":{"RailResource":{"type":"object","properties":{"id":{"type":["string","null"]},"type":{"$ref":"#/components/schemas/RailType"},"source":{"description":"When type is ON_RAMP: FiatAssetResource; OFF_RAMP: CryptoAssetResource","anyOf":[{"$ref":"#/components/schemas/FiatAssetResource"},{"$ref":"#/components/schemas/CryptoAssetResource"}]},"destination":{"description":"When type is ON_RAMP: CryptoAssetResource; OFF_RAMP: FiatAssetResource","anyOf":[{"$ref":"#/components/schemas/CryptoAssetResource"},{"$ref":"#/components/schemas/FiatAssetResource"}]},"metadata":{"type":"object","properties":{"external_id":{"type":["array","null"],"items":{}}},"required":["external_id"]},"human":{"type":"null"},"created_at":{"type":["string","null"],"format":"date-time"}},"required":["id","type","source","destination","metadata","created_at"],"title":"RailResource"},"RailType":{"type":"string","enum":["ON_RAMP","OFF_RAMP","EXCHANGE"],"title":"RailType"},"FiatAssetResource":{"type":"object","properties":{"asset":{"type":"string"},"type":{"type":"string"},"bank_account":{"$ref":"#/components/schemas/BankAccountResource"}},"required":["asset","type","bank_account"],"title":"FiatAssetResource"},"BankAccountResource":{"type":"object","properties":{"id":{"type":["string","null"]},"display_name":{"type":"string"},"currency":{"type":"string"},"iban":{"type":["string","null"]},"account_number":{"type":"string"},"sort_code":{"type":"string"},"bic_swift":{"type":"string"},"reference":{"type":["string","null"]}},"required":["id","display_name","currency","iban","reference"],"title":"BankAccountResource"},"CryptoAssetResource":{"type":"object","properties":{"asset":{"type":"string"},"type":{"type":"string"},"wallet":{"$ref":"#/components/schemas/WalletResource"}},"required":["asset","type","wallet"],"title":"CryptoAssetResource"},"WalletResource":{"type":"object","properties":{"id":{"type":["string","null"]},"display_name":{"type":"string"},"is_custodial":{"type":"boolean"},"network":{"type":"string"},"address":{"type":"string"}},"required":["id","display_name","is_custodial","network","address"],"title":"WalletResource"}}}}
```

## The RailType object

```json
{"openapi":"3.1.0","info":{"title":"Agant API Docs","version":"0.0.2"},"components":{"schemas":{"RailType":{"type":"string","enum":["ON_RAMP","OFF_RAMP","EXCHANGE"],"title":"RailType"}}}}
```

## The SimulateRailRequestData object

```json
{"openapi":"3.1.0","info":{"title":"Agant API Docs","version":"0.0.2"},"components":{"schemas":{"SimulateRailRequestData":{"type":"object","properties":{"rail_id":{"type":"string"},"amount":{"type":"number","minimum":1,"maximum":100000}},"required":["rail_id","amount"],"title":"SimulateRailRequestData"}}}}
```

## The StoreRailRequest object

```json
{"openapi":"3.1.0","info":{"title":"Agant API Docs","version":"0.0.2"},"components":{"schemas":{"StoreRailRequest":{"type":"object","properties":{"type":{"type":"string","description":"Type","enum":["ON_RAMP","OFF_RAMP"]},"metadata":{"type":["array","null"],"description":"Arbitrary metadata to associate with the rail.","items":{"type":"string"}},"source":{"type":"object","description":"The asset that will need to be sent to in order to trigger the rail.","properties":{"asset":{"type":"string"},"network_id":{"type":"string","description":"Network identifier. Required for OFF_RAMP."}},"required":["asset"]},"destination":{"type":"object","description":"Where the destination asset will be delivered after receiving from the source.","properties":{"asset":{"type":"string"},"wallet_id":{"type":"integer","description":"Destination wallet public id. Required for ON_RAMP"},"bank_account_id":{"type":"integer","description":"Destination bank account public id. Required for OFF_RAMP."}},"required":["asset"]}},"required":["type","source","destination"],"title":"StoreRailRequest"}}}}
```

## The TransactionResource object

```json
{"openapi":"3.1.0","info":{"title":"Agant API Docs","version":"0.0.2"},"components":{"schemas":{"TransactionResource":{"type":"object","properties":{"id":{"type":["string","null"]},"rail_id":{"type":"integer"},"type":{"type":"string"},"status":{"type":"string"},"source":{"type":"object","properties":{"tx_id":{"type":["string","null"]},"asset":{"type":"string"},"amount":{"type":"string"}},"required":["tx_id","asset","amount"]},"destination":{"type":"object","properties":{"tx_id":{"type":["string","null"]},"asset":{"type":"string"},"amount":{"type":"string"}},"required":["tx_id","asset","amount"]},"metadata":{"type":"array","items":{"type":"string"},"minItems":0,"maxItems":0,"additionalItems":false},"created_at":{"type":["string","null"],"format":"date-time"},"updated_at":{"type":["string","null"],"format":"date-time"}},"required":["id","rail_id","type","status","source","destination","metadata","created_at","updated_at"],"title":"TransactionResource"}}}}
```

## The WalletResource object

```json
{"openapi":"3.1.0","info":{"title":"Agant API Docs","version":"0.0.2"},"components":{"schemas":{"WalletResource":{"type":"object","properties":{"id":{"type":["string","null"]},"display_name":{"type":"string"},"is_custodial":{"type":"boolean"},"network":{"type":"string"},"address":{"type":"string"}},"required":["id","display_name","is_custodial","network","address"],"title":"WalletResource"}}}}
```

## The WalletStoreRequest object

```json
{"openapi":"3.1.0","info":{"title":"Agant API Docs","version":"0.0.2"},"components":{"schemas":{"WalletStoreRequest":{"type":"object","properties":{"name":{"type":"string","description":"A human-readable label for the wallet.\n* Helps identify the wallet in dashboards and API responses.*","maxLength":255},"network_id":{"type":"string","description":"The network this wallet belongs to.\n* Use the **List Networks** endpoint to retrieve the latest valid network IDs."},"address":{"type":"string","description":"The public blockchain address for this wallet.\n* Must be valid for the specified network and unique within your company.","minLength":32,"maxLength":44}},"required":["name","network_id","address"],"title":"WalletStoreRequest"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.agant.io/Y83ivqmfOiUspagNyFg6/api-reference/models.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
